XCB: XCB DPMS API

XCB 1.17.0

Data Structures | Macros | Typedefs | Enumerations | Functions | Variables
XCB DPMS API

DPMS XCB Protocol Implementation. More...

## Data Structures
struct | xcb_dpms_get_version_cookie_t
| xcb_dpms_get_version_cookie_t More...
struct | xcb_dpms_get_version_request_t
| xcb_dpms_get_version_request_t More...
struct | xcb_dpms_get_version_reply_t
| xcb_dpms_get_version_reply_t More...
struct | xcb_dpms_capable_cookie_t
| xcb_dpms_capable_cookie_t More...
struct | xcb_dpms_capable_request_t
| xcb_dpms_capable_request_t More...
struct | xcb_dpms_capable_reply_t
| xcb_dpms_capable_reply_t More...
struct | xcb_dpms_get_timeouts_cookie_t
| xcb_dpms_get_timeouts_cookie_t More...
struct | xcb_dpms_get_timeouts_request_t
| xcb_dpms_get_timeouts_request_t More...
struct | xcb_dpms_get_timeouts_reply_t
| xcb_dpms_get_timeouts_reply_t More...
struct | xcb_dpms_set_timeouts_request_t
| xcb_dpms_set_timeouts_request_t More...
struct | xcb_dpms_enable_request_t
| xcb_dpms_enable_request_t More...
struct | xcb_dpms_disable_request_t
| xcb_dpms_disable_request_t More...
struct | xcb_dpms_force_level_request_t
| xcb_dpms_force_level_request_t More...
struct | xcb_dpms_info_cookie_t
| xcb_dpms_info_cookie_t More...
struct | xcb_dpms_info_request_t
| xcb_dpms_info_request_t More...
struct | xcb_dpms_info_reply_t
| xcb_dpms_info_reply_t More...
struct | xcb_dpms_select_input_request_t
| xcb_dpms_select_input_request_t More...
struct | xcb_dpms_info_notify_event_t
| xcb_dpms_info_notify_event_t More...

## Macros
#define | XCB_DPMS_MAJOR_VERSION 1
#define | XCB_DPMS_MINOR_VERSION 2
#define | XCB_DPMS_GET_VERSION 0
#define | XCB_DPMS_CAPABLE 1
#define | XCB_DPMS_GET_TIMEOUTS 2
#define | XCB_DPMS_SET_TIMEOUTS 3
#define | XCB_DPMS_ENABLE 4
#define | XCB_DPMS_DISABLE 5
#define | XCB_DPMS_FORCE_LEVEL 6
#define | XCB_DPMS_INFO 7
#define | XCB_DPMS_SELECT_INPUT 8
#define | XCB_DPMS_INFO_NOTIFY 0

## Typedefs
typedef struct xcb_dpms_get_version_cookie_t | xcb_dpms_get_version_cookie_t
| xcb_dpms_get_version_cookie_t
typedef struct xcb_dpms_get_version_request_t | xcb_dpms_get_version_request_t
| xcb_dpms_get_version_request_t
typedef struct xcb_dpms_get_version_reply_t | xcb_dpms_get_version_reply_t
| xcb_dpms_get_version_reply_t
typedef struct xcb_dpms_capable_cookie_t | xcb_dpms_capable_cookie_t
| xcb_dpms_capable_cookie_t
typedef struct xcb_dpms_capable_request_t | xcb_dpms_capable_request_t
| xcb_dpms_capable_request_t
typedef struct xcb_dpms_capable_reply_t | xcb_dpms_capable_reply_t
| xcb_dpms_capable_reply_t
typedef struct xcb_dpms_get_timeouts_cookie_t | xcb_dpms_get_timeouts_cookie_t
| xcb_dpms_get_timeouts_cookie_t
typedef struct xcb_dpms_get_timeouts_request_t | xcb_dpms_get_timeouts_request_t
| xcb_dpms_get_timeouts_request_t
typedef struct xcb_dpms_get_timeouts_reply_t | xcb_dpms_get_timeouts_reply_t
| xcb_dpms_get_timeouts_reply_t
typedef struct xcb_dpms_set_timeouts_request_t | xcb_dpms_set_timeouts_request_t
| xcb_dpms_set_timeouts_request_t
typedef struct xcb_dpms_enable_request_t | xcb_dpms_enable_request_t
| xcb_dpms_enable_request_t
typedef struct xcb_dpms_disable_request_t | xcb_dpms_disable_request_t
| xcb_dpms_disable_request_t
typedef enum xcb_dpms_dpms_mode_t | xcb_dpms_dpms_mode_t
typedef struct xcb_dpms_force_level_request_t | xcb_dpms_force_level_request_t
| xcb_dpms_force_level_request_t
typedef struct xcb_dpms_info_cookie_t | xcb_dpms_info_cookie_t
| xcb_dpms_info_cookie_t
typedef struct xcb_dpms_info_request_t | xcb_dpms_info_request_t
| xcb_dpms_info_request_t
typedef struct xcb_dpms_info_reply_t | xcb_dpms_info_reply_t
| xcb_dpms_info_reply_t
typedef enum xcb_dpms_event_mask_t | xcb_dpms_event_mask_t
typedef struct xcb_dpms_select_input_request_t | xcb_dpms_select_input_request_t
| xcb_dpms_select_input_request_t
typedef struct xcb_dpms_info_notify_event_t | xcb_dpms_info_notify_event_t
| xcb_dpms_info_notify_event_t

## Enumerations
enum | xcb_dpms_dpms_mode_t { XCB_DPMS_DPMS_MODE_ON = 0 , XCB_DPMS_DPMS_MODE_STANDBY = 1 , XCB_DPMS_DPMS_MODE_SUSPEND = 2 , XCB_DPMS_DPMS_MODE_OFF = 3 }
enum | xcb_dpms_event_mask_t { XCB_DPMS_EVENT_MASK_INFO_NOTIFY = 1 }

## Functions
xcb_dpms_get_version_cookie_t | xcb_dpms_get_version (xcb_connection_t *c, uint16_t client_major_version, uint16_t client_minor_version)
xcb_dpms_get_version_cookie_t | xcb_dpms_get_version_unchecked (xcb_connection_t *c, uint16_t client_major_version, uint16_t client_minor_version)
xcb_dpms_get_version_reply_t * | xcb_dpms_get_version_reply (xcb_connection_t *c, xcb_dpms_get_version_cookie_t cookie, xcb_generic_error_t **e)
xcb_dpms_capable_cookie_t | xcb_dpms_capable (xcb_connection_t *c)
xcb_dpms_capable_cookie_t | xcb_dpms_capable_unchecked (xcb_connection_t *c)
xcb_dpms_capable_reply_t * | xcb_dpms_capable_reply (xcb_connection_t *c, xcb_dpms_capable_cookie_t cookie, xcb_generic_error_t **e)
xcb_dpms_get_timeouts_cookie_t | xcb_dpms_get_timeouts (xcb_connection_t *c)
xcb_dpms_get_timeouts_cookie_t | xcb_dpms_get_timeouts_unchecked (xcb_connection_t *c)
xcb_dpms_get_timeouts_reply_t * | xcb_dpms_get_timeouts_reply (xcb_connection_t *c, xcb_dpms_get_timeouts_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_dpms_set_timeouts_checked (xcb_connection_t *c, uint16_t standby_timeout, uint16_t suspend_timeout, uint16_t off_timeout)
xcb_void_cookie_t | xcb_dpms_set_timeouts (xcb_connection_t *c, uint16_t standby_timeout, uint16_t suspend_timeout, uint16_t off_timeout)
xcb_void_cookie_t | xcb_dpms_enable_checked (xcb_connection_t *c)
xcb_void_cookie_t | xcb_dpms_enable (xcb_connection_t *c)
xcb_void_cookie_t | xcb_dpms_disable_checked (xcb_connection_t *c)
xcb_void_cookie_t | xcb_dpms_disable (xcb_connection_t *c)
xcb_void_cookie_t | xcb_dpms_force_level_checked (xcb_connection_t *c, uint16_t power_level)
xcb_void_cookie_t | xcb_dpms_force_level (xcb_connection_t *c, uint16_t power_level)
xcb_dpms_info_cookie_t | xcb_dpms_info (xcb_connection_t *c)
xcb_dpms_info_cookie_t | xcb_dpms_info_unchecked (xcb_connection_t *c)
xcb_dpms_info_reply_t * | xcb_dpms_info_reply (xcb_connection_t *c, xcb_dpms_info_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_dpms_select_input_checked (xcb_connection_t *c, uint32_t event_mask)
xcb_void_cookie_t | xcb_dpms_select_input (xcb_connection_t *c, uint32_t event_mask)

## Variables
xcb_extension_t | xcb_dpms_id

## Detailed Description

DPMS XCB Protocol Implementation.

## Macro Definition Documentation

## ◆ XCB_DPMS_CAPABLE

#define XCB_DPMS_CAPABLE 1

Opcode for xcb_dpms_capable.

Referenced by xcb_dpms_capable(), and xcb_dpms_capable_unchecked().

## ◆ XCB_DPMS_DISABLE

#define XCB_DPMS_DISABLE 5

Opcode for xcb_dpms_disable.

Referenced by xcb_dpms_disable(), and xcb_dpms_disable_checked().

## ◆ XCB_DPMS_ENABLE

#define XCB_DPMS_ENABLE 4

Opcode for xcb_dpms_enable.

Referenced by xcb_dpms_enable(), and xcb_dpms_enable_checked().

## ◆ XCB_DPMS_FORCE_LEVEL

#define XCB_DPMS_FORCE_LEVEL 6

Opcode for xcb_dpms_force_level.

Referenced by xcb_dpms_force_level(), and xcb_dpms_force_level_checked().

## ◆ XCB_DPMS_GET_TIMEOUTS

#define XCB_DPMS_GET_TIMEOUTS 2

Opcode for xcb_dpms_get_timeouts.

Referenced by xcb_dpms_get_timeouts(), and xcb_dpms_get_timeouts_unchecked().

## ◆ XCB_DPMS_GET_VERSION

#define XCB_DPMS_GET_VERSION 0

Opcode for xcb_dpms_get_version.

Referenced by xcb_dpms_get_version(), and xcb_dpms_get_version_unchecked().

## ◆ XCB_DPMS_INFO

#define XCB_DPMS_INFO 7

Opcode for xcb_dpms_info.

Referenced by xcb_dpms_info(), and xcb_dpms_info_unchecked().

## ◆ XCB_DPMS_INFO_NOTIFY

#define XCB_DPMS_INFO_NOTIFY 0

Opcode for xcb_dpms_info_notify.

## ◆ XCB_DPMS_SELECT_INPUT

#define XCB_DPMS_SELECT_INPUT 8

Opcode for xcb_dpms_select_input.

Referenced by xcb_dpms_select_input(), and xcb_dpms_select_input_checked().

## ◆ XCB_DPMS_SET_TIMEOUTS

#define XCB_DPMS_SET_TIMEOUTS 3

Opcode for xcb_dpms_set_timeouts.

Referenced by xcb_dpms_set_timeouts(), and xcb_dpms_set_timeouts_checked().

## Function Documentation

## ◆ xcb_dpms_capable()

xcb_dpms_capable_cookie_t xcb_dpms_capable | ( | xcb_connection_t * | c | ) |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DPMS_CAPABLE.

## ◆ xcb_dpms_capable_reply()

xcb_dpms_capable_reply_t * xcb_dpms_capable_reply | ( | xcb_connection_t * | c,
|  | xcb_dpms_capable_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_dpms_capable_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_dpms_capable_unchecked()

xcb_dpms_capable_cookie_t xcb_dpms_capable_unchecked | ( | xcb_connection_t * | c | ) |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_DPMS_CAPABLE.

## ◆ xcb_dpms_disable()

xcb_void_cookie_t xcb_dpms_disable | ( | xcb_connection_t * | c | ) |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DPMS_DISABLE.

## ◆ xcb_dpms_disable_checked()

xcb_void_cookie_t xcb_dpms_disable_checked | ( | xcb_connection_t * | c | ) |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_DPMS_DISABLE.

## ◆ xcb_dpms_enable()

xcb_void_cookie_t xcb_dpms_enable | ( | xcb_connection_t * | c | ) |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DPMS_ENABLE.

## ◆ xcb_dpms_enable_checked()

xcb_void_cookie_t xcb_dpms_enable_checked | ( | xcb_connection_t * | c | ) |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_DPMS_ENABLE.

## ◆ xcb_dpms_force_level()

xcb_void_cookie_t xcb_dpms_force_level | ( | xcb_connection_t * | c,
|  | uint16_t | power_level )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DPMS_FORCE_LEVEL.

## ◆ xcb_dpms_force_level_checked()

xcb_void_cookie_t xcb_dpms_force_level_checked | ( | xcb_connection_t * | c,
|  | uint16_t | power_level )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_DPMS_FORCE_LEVEL.

## ◆ xcb_dpms_get_timeouts()

xcb_dpms_get_timeouts_cookie_t xcb_dpms_get_timeouts | ( | xcb_connection_t * | c | ) |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DPMS_GET_TIMEOUTS.

## ◆ xcb_dpms_get_timeouts_reply()

xcb_dpms_get_timeouts_reply_t * xcb_dpms_get_timeouts_reply | ( | xcb_connection_t * | c,
|  | xcb_dpms_get_timeouts_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_dpms_get_timeouts_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_dpms_get_timeouts_unchecked()

xcb_dpms_get_timeouts_cookie_t xcb_dpms_get_timeouts_unchecked | ( | xcb_connection_t * | c | ) |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_DPMS_GET_TIMEOUTS.

## ◆ xcb_dpms_get_version()

xcb_dpms_get_version_cookie_t xcb_dpms_get_version | ( | xcb_connection_t * | c,
|  | uint16_t | client_major_version,
|  | uint16_t | client_minor_version )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DPMS_GET_VERSION.

## ◆ xcb_dpms_get_version_reply()

xcb_dpms_get_version_reply_t * xcb_dpms_get_version_reply | ( | xcb_connection_t * | c,
|  | xcb_dpms_get_version_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_dpms_get_version_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_dpms_get_version_unchecked()

xcb_dpms_get_version_cookie_t xcb_dpms_get_version_unchecked | ( | xcb_connection_t * | c,
|  | uint16_t | client_major_version,
|  | uint16_t | client_minor_version )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_DPMS_GET_VERSION.

## ◆ xcb_dpms_info()

xcb_dpms_info_cookie_t xcb_dpms_info | ( | xcb_connection_t * | c | ) |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DPMS_INFO.

## ◆ xcb_dpms_info_reply()

xcb_dpms_info_reply_t * xcb_dpms_info_reply | ( | xcb_connection_t * | c,
|  | xcb_dpms_info_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_dpms_info_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_dpms_info_unchecked()

xcb_dpms_info_cookie_t xcb_dpms_info_unchecked | ( | xcb_connection_t * | c | ) |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_DPMS_INFO.

## ◆ xcb_dpms_select_input()

xcb_void_cookie_t xcb_dpms_select_input | ( | xcb_connection_t * | c,
|  | uint32_t | event_mask )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DPMS_SELECT_INPUT.

## ◆ xcb_dpms_select_input_checked()

xcb_void_cookie_t xcb_dpms_select_input_checked | ( | xcb_connection_t * | c,
|  | uint32_t | event_mask )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_DPMS_SELECT_INPUT.

## ◆ xcb_dpms_set_timeouts()

xcb_void_cookie_t xcb_dpms_set_timeouts | ( | xcb_connection_t * | c,
|  | uint16_t | standby_timeout,
|  | uint16_t | suspend_timeout,
|  | uint16_t | off_timeout )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DPMS_SET_TIMEOUTS.

## ◆ xcb_dpms_set_timeouts_checked()

xcb_void_cookie_t xcb_dpms_set_timeouts_checked | ( | xcb_connection_t * | c,
|  | uint16_t | standby_timeout,
|  | uint16_t | suspend_timeout,
|  | uint16_t | off_timeout )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_DPMS_SET_TIMEOUTS.